{

    //完美闪避后，获得相当于HP10%的护盾和sp+10%，不可叠加，持续6s，CD6秒

    "AbilityName":"Suit_Ability_50236000",

    "AbilityStacking":"Unique",

	"DefaultModifier":

    {

        "ModifierStacking":"Unique",



        "OnDodgeSuccess":

            [

                {

                    "$type": "MoleMole.ApplyModifier",

                    "ModifierName": "HpShieldModifier"

                }



                

            ]

        

       

    },



    "Modifiers" : 

    {

        "HpShieldModifier":

        {

            "ModifierStacking" : "Unique",

            "Duration" : "%TimeOfDuration",

            "Properties":

            {

                  "Actor_SPGetRatio":"%SPGetRatio"

            },





            "ModifierMixins":

            [

                {

                    "$type" : "MoleMole.HpShieldMixin",

                    "Duration": "%TimeOfDuration", //有效时长



                    //护盾值

                    "TotalValueConfig": 

                    {

                        "PropertyType": "MaxHP",

                        // "CustomPropertyType": "EnhanceNum",

                        "Percentage": "%ShieldPercent",

                        "Amount": 0,

                    },



                    //"RecoverPercentage": 0.1, //每秒回复百分比

                    //"RecoverAmount": 0, //每秒回复百分比

                    "Priority": 0, //扣除优先级

                    "IfTakeRestDamageWhenEmpty": true, //护盾值归零时是否承受剩余伤害





                }

            ]

        }

    },





    "AbilitySpecials" : 

    {

        "TimeOfDuration":

        {

            "Value": 6

        },

        

        "ShieldPercent":

        {

            "Value": 0.1

        },



        "SPGetRatio":

        {

            "Value": 0.1

        },

       

       





       

    }

}